For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate an API key
      • GETList API keys
      • GETGet an API key
      • DELDeactivate an API key
LogoLogo
SupportDashboard
EndpointsAPI Keys

Create an API key

POST
/api-keys
POST
/api/v1/api-keys
$curl -X POST https://tryenvoy.ai/api/v1/api-keys \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "id": "key_00000000-0000-0000-0000-000000000000",
3 "name": "string",
4 "organization_id": "org_00000000-0000-0000-0000-000000000000",
5 "is_active": true,
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "key": "string",
9 "description": "string",
10 "expires_at": "2024-01-15T09:30:00Z",
11 "last_used_at": "2024-01-15T09:30:00Z"
12}

Create a new API key for the organization. The key value is only returned once.

Authentication: Bearer token required.

Was this page helpful?

List API keys

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Organization-IDstring or nullOptional

Request

This endpoint expects an object.
namestringRequired
descriptionstring or nullOptional
expires_atdatetime or nullOptional

Response

Successful Response
idstringformat: "^key_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
namestring
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
is_activeboolean
created_atdatetime
updated_atdatetime
keystring
descriptionstring or null
expires_atdatetime or null
last_used_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error